Show / Hide Table of Contents

# Interface ICallGateProvider<TRet>

###### Namespace: Dalamud.Plugin.Ipc

###### Assembly: Dalamud.dll

##### Syntax

    public interface ICallGateProvider<TRet>

##### Type Parameters

Name | Description
--- | ---
TRet |

### Methods

| Improve this Doc View Source

#### RegisterAction(Action)

##### Declaration

    void RegisterAction(Action action)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Action | action |

| Improve this Doc View Source

#### RegisterFunc(Func<TRet>)

##### Declaration

    void RegisterFunc(Func<TRet> func)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Func<TRet> | func |

| Improve this Doc View Source

#### SendMessage()

##### Declaration

    void SendMessage()

| Improve this Doc View Source

#### UnregisterAction()

##### Declaration

    void UnregisterAction()

| Improve this Doc View Source

#### UnregisterFunc()

##### Declaration

    void UnregisterFunc()